<!DOCTYPE html>
<html>
    <head>
	<title>layout-system</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<link href="./styles/index.css" rel="stylesheet">
    </head>
    <body>
	<h1>layout-system</h1>
	<p>Testing the text editor</p>
	<a href="./index.html">Back to the homepage</a>
	<screen>
	    <editor>
		<textarea></textarea>
	    </editor>
	</screen>
    </body>

    <!-- Create a simple CodeMirror instance -->
    <!-- https://codemirror.net/2/doc/manual.html -->
    <style type="text/css">
    .CodeMirror {border-top: 1px solid black; border-bottom: 1px solid black;}
    .CodeMirror-gutter {min-width: 2.6em; cursor: pointer;}
    </style>
    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/codemirror@5.42.0/lib/codemirror.css">
    <script src="https://cdn.jsdelivr.net/npm/codemirror@5.42.0/lib/codemirror.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/codemirror@5.42.0/mode/xml/xml.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/codemirror@5.42.0/mode/markdown/markdown.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/codemirror@5.42.0/addon/edit/closetag.js"></script>
    <script>
    (function() {
	var nodeListToArray = function(nodeList) {
	    return Array.prototype.slice.call(nodeList)
	}
	var $editors = nodeListToArray(document.querySelectorAll('editor textarea'))
	var editors = $editors.map(function(e) {
	    return CodeMirror.fromTextArea(e, {
		mode: 'text/x-markdown',
		autofocus: true,
		tabSize: 2,
		indentWithTabs: 2,
		lineNumbers: true,
		indentWithTabs: true,
		autoCloseTags: true,
		electricInput: true,
		lineWrapping: true,
		wordWrap: true,
	    })
	})
    })()
    </script>
</html>
